## org.hibernate.ejb.packaging
Class NamedInputStream

    java.lang.Object
      org.hibernate.ejb.packaging.NamedInputStream

    public class NamedInputStream

extends Object

Constructor Summary
`NamedInputStream(String name, InputStream stream)`

Method Summary
`String` `getName()`
`InputStream` `getStream()`
`void` `setName(String name)`
`void` `setStream(InputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedInputStream

    public NamedInputStream(String name,
                            InputStream stream)

Method Detail

### getStream

    public InputStream getStream()

### setStream

    public void setStream(InputStream stream)

### getName

    public String getName()

### setName

    public void setName(String name)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.